<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:21 CEST 2019 -->
<title>BlobParameterBuffer (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BlobParameterBuffer (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../org/firebirdsql/gds/BlrConstants.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/BlobParameterBuffer.html" target="_top">Frames</a></li>
<li><a href="BlobParameterBuffer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds</div>
<h2 title="Interface BlobParameterBuffer" class="title">Interface BlobParameterBuffer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/gds/impl/BlobParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">BlobParameterBufferImp</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">BlobParameterBuffer</span>
extends <a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></pre>
<div class="block">Instance of this interface represents a BLOB Parameter Buffer from the
 Firebird API documentation and specifies attributes for
 <a href="../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForOutput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-"><code>FbDatabase.createBlobForOutput(org.firebirdsql.gds.ng.FbTransaction, BlobParameterBuffer)</code></a>
 or
 <a href="../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForInput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-"><code>FbDatabase.createBlobForInput(org.firebirdsql.gds.ng.FbTransaction, BlobParameterBuffer, long)</code></a>
 operations.
 <p>
 Two features are available:
 <ul>
 <li>Specifying the source and target BLOB types (server uses BLOB filters to
 perform the conversion)
 <li>Specifying type of the BLOB - either segmented or stream. The only
 visible to user difference between segmented and stream BLOBs is the fact
 that "seek" operation is not defined for segmented BLOBs (see
 <a href="../../../org/firebirdsql/gds/ng/FbBlob.html#seek-int-org.firebirdsql.gds.ng.FbBlob.SeekMode-"><code>FbBlob.seek(int, org.firebirdsql.gds.ng.FbBlob.SeekMode)</code></a>
 for more details).
 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html#FILTER_PARAMETER">FILTER_PARAMETER</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html#SOURCE_INTERP">SOURCE_INTERP</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html#SOURCE_TYPE">SOURCE_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html#TARGET_INTERP">TARGET_INTERP</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html#TARGET_TYPE">TARGET_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html#TYPE">TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html#TYPE_SEGMENTED">TYPE_SEGMENTED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html#TYPE_STREAM">TYPE_STREAM</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html#addArgument-int-">addArgument</a></span>(int&nbsp;argumentType)</code>
<div class="block">Set a void (valueless) parameter on this <code>BlobParameterBuffer</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html#addArgument-int-int-">addArgument</a></span>(int&nbsp;argumentType,
           int&nbsp;value)</code>
<div class="block">Set an <code>int</code> parameter on this <code>BlobParameterBuffer</code>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html#addArgument-int-java.lang.String-">addArgument</a></span>(int&nbsp;argumentType,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set a <code>String</code> parameter on this <code>BlobParameterBuffer</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ParameterBuffer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></h3>
<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-byte:A-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-long-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsInt-int-">getArgumentAsInt</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsString-int-">getArgumentAsString</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getType--">getType</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#hasArgument-int-">hasArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#iterator--">iterator</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#removeArgument-int-">removeArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#size--">size</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytes--">toBytes</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytesWithType--">toBytesWithType</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toXdrable--">toXdrable</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#writeArgumentsTo-java.io.OutputStream-">writeArgumentsTo</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#forEach-java.util.function.Consumer-" title="class or interface in java.lang">forEach</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#spliterator--" title="class or interface in java.lang">spliterator</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="SOURCE_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SOURCE_TYPE</h4>
<pre>static final&nbsp;int SOURCE_TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.BlobParameterBuffer.SOURCE_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TARGET_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET_TYPE</h4>
<pre>static final&nbsp;int TARGET_TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.BlobParameterBuffer.TARGET_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SOURCE_INTERP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SOURCE_INTERP</h4>
<pre>static final&nbsp;int SOURCE_INTERP</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.BlobParameterBuffer.SOURCE_INTERP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TARGET_INTERP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET_INTERP</h4>
<pre>static final&nbsp;int TARGET_INTERP</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.BlobParameterBuffer.TARGET_INTERP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FILTER_PARAMETER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FILTER_PARAMETER</h4>
<pre>static final&nbsp;int FILTER_PARAMETER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.BlobParameterBuffer.FILTER_PARAMETER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE</h4>
<pre>static final&nbsp;int TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.BlobParameterBuffer.TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_SEGMENTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_SEGMENTED</h4>
<pre>static final&nbsp;int TYPE_SEGMENTED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.BlobParameterBuffer.TYPE_SEGMENTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_STREAM">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TYPE_STREAM</h4>
<pre>static final&nbsp;int TYPE_STREAM</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.BlobParameterBuffer.TYPE_STREAM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addArgument-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>void&nbsp;addArgument(int&nbsp;argumentType)</pre>
<div class="block">Set a void (valueless) parameter on this <code>BlobParameterBuffer</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-">addArgument</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - The parameter to be set, either an <code>ISCConstants.isc_bpb_*</code> constant, or one of the
        constants of this interface</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>void&nbsp;addArgument(int&nbsp;argumentType,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set a <code>String</code> parameter on this <code>BlobParameterBuffer</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-">addArgument</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - The parameter to be set, either an <code>ISCConstants.isc_bpb_*</code> constant, or one of the
        constants of this interface</dd>
<dd><code>value</code> - The value to set for the given parameter</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addArgument</h4>
<pre>void&nbsp;addArgument(int&nbsp;argumentType,
                 int&nbsp;value)</pre>
<div class="block">Set an <code>int</code> parameter on this <code>BlobParameterBuffer</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-int-">addArgument</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - The parameter to be set, either an <code>ISCConstants.isc_bpb_*</code> constant, or one of the
        constants of this interface</dd>
<dd><code>value</code> - The value to set for the given parameter</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../org/firebirdsql/gds/BlrConstants.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/BlobParameterBuffer.html" target="_top">Frames</a></li>
<li><a href="BlobParameterBuffer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
